import os
import subprocess

def _populate_dpkg_architecture():
    p = subprocess.run(["dpkg-architecture"], capture_output=True, text=True)
    return dict(line.split("=", 1) for line in p.stdout.split("\n") if "=" in line)

def _populate_env_list(env_var):
    values = os.environ.get(env_var, "")
    if values == "":
        return []
    return values.split()

architecture = _populate_dpkg_architecture()
build_options = _populate_env_list("DEB_BUILD_OPTIONS")
build_profiles = _populate_env_list("DEB_BUILD_PROFILES")

deb_host2cmake_system = {"linux": "Linux", "kfreebsd": "kFreeBSD", "hurd": "GNU"}
gnu_cpu2system_processor = {"arm": "armv7l", "mips64el": "mips64", "powerpc64le": "ppc64le"}

def is_cross_compiling():
    return architecture.get("DEB_BUILD_GNU_TYPE", "") != architecture.get("DEB_HOST_GNU_TYPE", "")

